org.apache.xerces.dom

## Class DOMLocatorImpl

- java.lang.Object
- - org.apache.xerces.dom.DOMLocatorImpl

All Implemented Interfaces:
  org.w3c.dom.DOMLocator

    public class DOMLocatorImpl
    extends java.lang.Object
    implements org.w3c.dom.DOMLocator

`DOMLocatorImpl` is an implementaion that describes a location (e.g. where an error occured).

See also the Document Object Model (DOM) Level 3 Core Specification.

Version:
  $Id: DOMLocatorImpl.java 447266 2006-09-18 05:57:49Z mrglavas $
Author:
  Gopal Sharma, SUN Microsystems Inc.

# INTERNAL:

  Usage of this class is not supported. It may be altered or removed at any time.

### Field Summary

Fields
`int` `fByteOffset` The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available
`int` `fColumnNumber` The column number where the error occured, or -1 if there is no column number available.
`int` `fLineNumber` The line number where the error occured, or -1 if there is no line number available.
`org.w3c.dom.Node` `fRelatedNode` related data node
`java.lang.String` `fUri` The URI where the error occured, or null if there is no URI available.
`int` `fUtf16Offset` The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.

### Constructor Summary

Constructors
Constructor and Description
`DOMLocatorImpl()`
`DOMLocatorImpl(int lineNumber, int columnNumber, int byteoffset, org.w3c.dom.Node relatedData, java.lang.String uri)`
`DOMLocatorImpl(int lineNumber, int columnNumber, int byteoffset, org.w3c.dom.Node relatedData, java.lang.String uri, int utf16Offset)`
`DOMLocatorImpl(int lineNumber, int columnNumber, int utf16Offset, java.lang.String uri)`
`DOMLocatorImpl(int lineNumber, int columnNumber, java.lang.String uri)`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getByteOffset()` The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available
`int` `getColumnNumber()` The column number where the error occured, or -1 if there is no column number available.
`int` `getLineNumber()` The line number where the error occured, or -1 if there is no line number available.
`org.w3c.dom.Node` `getRelatedNode()` The node this locator is pointing to, or `null` if no node is available.
`java.lang.String` `getUri()` The URI where the error occured, or null if there is no URI available.
`int` `getUtf16Offset()` The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### fColumnNumber

    public int fColumnNumber

The column number where the error occured, or -1 if there is no column number available.

#### fLineNumber

    public int fLineNumber

The line number where the error occured, or -1 if there is no line number available.

#### fRelatedNode

    public org.w3c.dom.Node fRelatedNode

related data node

#### fUri

    public java.lang.String fUri

The URI where the error occured, or null if there is no URI available.

#### fByteOffset

    public int fByteOffset

The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available

#### fUtf16Offset

    public int fUtf16Offset

The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.

### Constructor Detail

#### DOMLocatorImpl

    public DOMLocatorImpl()

#### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          java.lang.String uri)

#### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          int utf16Offset,
                          java.lang.String uri)

#### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          int byteoffset,
                          org.w3c.dom.Node relatedData,
                          java.lang.String uri)

#### DOMLocatorImpl

    public DOMLocatorImpl(int lineNumber,
                          int columnNumber,
                          int byteoffset,
                          org.w3c.dom.Node relatedData,
                          java.lang.String uri,
                          int utf16Offset)

### Method Detail

#### getLineNumber

    public int getLineNumber()

The line number where the error occured, or -1 if there is no line number available.

Specified by:
  `getLineNumber` in interface `org.w3c.dom.DOMLocator`

#### getColumnNumber

    public int getColumnNumber()

The column number where the error occured, or -1 if there is no column number available.

Specified by:
  `getColumnNumber` in interface `org.w3c.dom.DOMLocator`

#### getUri

    public java.lang.String getUri()

The URI where the error occured, or null if there is no URI available.

Specified by:
  `getUri` in interface `org.w3c.dom.DOMLocator`

#### getRelatedNode

    public org.w3c.dom.Node getRelatedNode()

Description copied from interface: `org.w3c.dom.DOMLocator`
The node this locator is pointing to, or `null` if no node is available.

Specified by:
  `getRelatedNode` in interface `org.w3c.dom.DOMLocator`

#### getByteOffset

    public int getByteOffset()

The byte offset into the input source this locator is pointing to or -1 if there is no byte offset available

Specified by:
  `getByteOffset` in interface `org.w3c.dom.DOMLocator`

#### getUtf16Offset

    public int getUtf16Offset()

The UTF-16, as defined in [Unicode] and Amendment 1 of [ISO/IEC 10646], offset into the input source this locator is pointing to or -1 if there is no UTF-16 offset available.

Specified by:
  `getUtf16Offset` in interface `org.w3c.dom.DOMLocator`